Page MenuHomePhabricator

Reuse native curses(8) library on NetBSD
ClosedPublic

Authored by krytarowski on Oct 23 2015, 7:37 PM.

Details

Summary

The reason for it is limit of detecting ncurses on various systems. For
example, Ubuntu ships with <curses.h> and linkage from <ncurses.h>, <ncurses.h>
isn't detected by CMake. Detecting <curses.h> on NetBSD is reusing
conflicting header from the host curses(8) and pkgsrc's ncurses library.

ncurses ships on most (till conflicting) systems with curses.h. On NetBSD it
might be conflicting, so the ncurses headers are installed with pkgsrc to a
subdirectory "ncurses/".

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski retitled this revision from to Reuse native curses(8) library on NetBSD.
krytarowski updated this object.
krytarowski set the repository for this revision to rL LLVM.
krytarowski added subscribers: lldb-commits, joerg.

Bruce was involved in the older version with config.h.

akat1 added a subscriber: akat1.Oct 27 2015, 4:46 AM

I've compiled it successfully on:

Distributor ID: Ubuntu
Description: Ubuntu 14.04.3 LTS
Release: 14.04
Codename: trusty
Linux AAH 3.13.0-46-generic #75-Ubuntu SMP Tue Feb 10 15:24:04 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I have successfully compiled this patch on FreeBSD.

$   uname -a
FreeBSD 10.1-RELEASE-p19 FreeBSD 10.1-RELEASE-p19 #0: Sat Aug 22 03:55:09 UTC 2015     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64
youri added a subscriber: youri.Nov 1 2015, 8:04 AM

Builds on OS X:

Darwin mac.local 15.0.0 Darwin Kernel Version 15.0.0: Wed Aug 26 16:57:32 PDT 2015; root:xnu-3247.1.106~1/RELEASE_X86_64 x86_64

I'd like to land this given approval.

clayborg accepted this revision.Nov 5 2015, 9:43 AM
clayborg edited edge metadata.
This revision is now accepted and ready to land.Nov 5 2015, 9:43 AM
krytarowski updated this revision to Diff 39440.Nov 5 2015, 4:14 PM
krytarowski edited edge metadata.

Rebase to master

This revision was automatically updated to reflect the committed changes.